#include<bits/stdc++.h>
using namespace std;
unsigned short n;
int arr[]={};
int otg[]={};
int main(){
 ios_base::sync_with_stdio(false);
 cin.tie(NULL);
cin>>n;
for(int i=0; i<n; i++){
    cin>> arr[i];
    for(int j=0; j<arr[i]; j++){
        for(int k=0; k<arr[i]; k++){
            if(j*j+k*k==arr[i]){
                otg[i]=1;
            }else {otg[i]=0;}
        }
    }
}

for(int i=0; i<n; i++){ cout<<"0";}
    return 0;
}